## gitbook-math

A Gitbook plugin for rendering math expressions, which also supports dark mode color.

![npm](https://badges.aleen42.com/src/npm.svg) ![javascript](https://badges.aleen42.com/src/javascript.svg) ![gitbook](https://badges.aleen42.com/src/gitbook_1.svg) ![gitbook](https://badges.aleen42.com/src/gitbook_2.svg) [![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg)](https://raw.githubusercontent.com/aleen42/gitbook-math/master/LICENSE) [![npm](https://img.shields.io/npm/dt/gitbook-plugin-math.svg)](https://www.npmjs.com/package/gitbook-plugin-math)

### Installation

Add the following plugins to your `book.json` and run the command `gitbook install`

```json
{
	"plugins": ["math"]
}
```

### Usage

Render with KaTex:

````markdown
```math:title=title,macros={"\\f":"#1f(#2)"}
% \f is defined as #1f(#2) using the macro
\f\relax{x} = \int_{-\infty}^\infty
    \f\hat\xi\,e^{2 \pi i \xi x}
    \,d\xi
```
````

- **macros** (optional): customized macros
- **title** (optional): to specify a title

### Release History

* ==================== **1.0.0 Initial release** ====================
 	* 1.0.1 bug fix

### :fuelpump: How to contribute

Have an idea? Found a bug? See [how to contribute](https://wiki.aleen42.com/contribution.html).

### :scroll: License

[MIT](https://wiki.aleen42.com/MIT.html) © aleen42
